
/*
* Copyright (C) 2004-2014 Texas Instruments Incorporated - http://www.ti.com/
* All rights reserved.	
*
*  Redistribution and use in source and binary forms, with or without
*  modification, are permitted provided that the following conditions
*  are met:
*
*    Redistributions of source code must retain the above copyright
*    notice, this list of conditions and the following disclaimer.
*
*    Redistributions in binary form must reproduce the above copyright
*    notice, this list of conditions and the following disclaimer in the
*    documentation and/or other materials provided with the
*    distribution.
*
*    Neither the name of Texas Instruments Incorporated nor the names of
*    its contributors may be used to endorse or promote products derived
*    from this software without specific prior written permission.
*
*  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
*  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
*  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
*  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
*  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
*  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
*  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
*  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
*  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
*  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
*  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*
*/

//
//
// Performance Audio Framework System alpha codes
//
//
//

#ifndef _PAFSYS_A
#define _PAFSYS_A

#include <acpbeta.h>

#define PAF_SYS_MODE_DEC 0x01
#define PAF_SYS_MODE_BM  0x02
#define PAF_SYS_MODE_DEM 0x04
#define PAF_SYS_MODE_THX 0x08
#define PAF_SYS_MODE_CPULOAD 0x10
#define PAF_SYS_MODE_UNUSED2 0x20
#define PAF_SYS_MODE_UNUSED3 0x40
#define PAF_SYS_MODE_RESERVED 0x80

#define PAF_SYS_MODE_NONE 0x00
#define PAF_SYS_MODE_ALL 0x7f

#define PAF_SYS_RECREATIONMODE_NONE 0
#define PAF_SYS_RECREATIONMODE_MONO 1
#define PAF_SYS_RECREATIONMODE_STEREO 2
#define PAF_SYS_RECREATIONMODE_PHANTOM0_1 3
#define PAF_SYS_RECREATIONMODE_SURROUND0_1 4
#define PAF_SYS_RECREATIONMODE_PHANTOM2_1 5
#define PAF_SYS_RECREATIONMODE_SURROUND2_1 6
#define PAF_SYS_RECREATIONMODE_N 7

#define PAF_SYS_RECREATIONMODE_DONT 0x80
#define PAF_SYS_RECREATIONMODE_DIRECT 0x81
#define PAF_SYS_RECREATIONMODE_AUTO 0x82

#define PAF_SYS_SPEAKERFREQ_LO 0x10
#define PAF_SYS_SPEAKERFREQ_HI 0x20

#define PAF_SYS_SPEAKERNUMB 0x0f
#define PAF_SYS_SPEAKERSIZE 0xf0

#define PAF_SYS_SPEAKERSIZE_NONE 0
#define PAF_SYS_SPEAKERSIZE_BASS PAF_SYS_SPEAKERFREQ_LO
#define PAF_SYS_SPEAKERSIZE_SMALL PAF_SYS_SPEAKERFREQ_HI
#define PAF_SYS_SPEAKERSIZE_LARGE \
    (PAF_SYS_SPEAKERFREQ_LO + PAF_SYS_SPEAKERFREQ_HI)

#define PAF_SYS_CCRTYPE_STANDARD 0
#define PAF_SYS_CCRTYPE_DECODEBYPASS 1
#define PAF_SYS_CCRTYPE_DECODEDIRECT 2

/* The following (old-style alpha code symbols) should be modified to use */
/* the preceding, and new-style alpha code symbols will result.           */

#define  readSYSMode 0xc200+STD_BETA_SYSIDL,0x0400
#define  readSYSListeningMode 0xc200+STD_BETA_SYSIDL,0x0500
#define  readSYSRecreationMode 0xc200+STD_BETA_SYSIDL,0x0600
#define  readSYSSpeakerMain 0xc200+STD_BETA_SYSIDL,0x0700
#define  readSYSSpeakerCntr 0xc200+STD_BETA_SYSIDL,0x0800
#define  readSYSSpeakerSurr 0xc200+STD_BETA_SYSIDL,0x0900
#define  readSYSSpeakerBack 0xc200+STD_BETA_SYSIDL,0x0a00
#define  readSYSSpeakerSubw 0xc200+STD_BETA_SYSIDL,0x0b00
#define  readSYSChannelConfigurationRequestType 0xc200+STD_BETA_SYSIDL,0x0c00
#define  readSYSChannelConfigurationRequest 0xc600+STD_BETA_SYSIDL,0x2008
#define  readSYSSpeakerWide 0xc200+STD_BETA_SYSIDL,0x1800
#define  readSYSSpeakerHigh 0xc200+STD_BETA_SYSIDL,0x1900

#define  readSYSSpeakerTopfront 0xc200+STD_BETA_SYSIDL,0x1A00
#define  readSYSspeakerToprear 0xc200+STD_BETA_SYSIDL,0x1B00
#define  readSYSspeakerTopmiddle 0xc200+STD_BETA_SYSIDL,0x1C00
#define  readSYSspeakerFrontheight 0xc200+STD_BETA_SYSIDL,0x1D00
#define  readSYSspeakerRearheight 0xc200+STD_BETA_SYSIDL,0x1E00

#define writeSYSModeDisable 0xca00+STD_BETA_SYSIDL,0x0400
#define writeSYSModeEnable 0xca00+STD_BETA_SYSIDL,0x047f
#define writeSYSModeN(NN) 0xca00+STD_BETA_SYSIDL,0x0400+((NN)&0xff)

#define wroteSYSListeningModeUnknown 0xca00+STD_BETA_SYSIDL,0x0500
#define wroteSYSListeningModeStandard 0xca00+STD_BETA_SYSIDL,0x0501
#define wroteSYSListeningModePure 0xca00+STD_BETA_SYSIDL,0x0502

#define writeSYSRecreationModeNone 0xca00+STD_BETA_SYSIDL,0x0600
#define writeSYSRecreationModeMono 0xca00+STD_BETA_SYSIDL,0x0601
#define writeSYSRecreationModeStereo 0xca00+STD_BETA_SYSIDL,0x0602
#define writeSYSRecreationMode2Stereo 0xca00+STD_BETA_SYSIDL,0x0603
#define writeSYSRecreationMode3Stereo 0xca00+STD_BETA_SYSIDL,0x0604
#define writeSYSRecreationModePhantom 0xca00+STD_BETA_SYSIDL,0x0605
#define writeSYSRecreationModeSurround 0xca00+STD_BETA_SYSIDL,0x0606
#define writeSYSRecreationModeDont 0xca00+STD_BETA_SYSIDL,0x0680
#define writeSYSRecreationModeDirect 0xca00+STD_BETA_SYSIDL,0x0681
#define writeSYSRecreationModeAuto 0xca00+STD_BETA_SYSIDL,0x0682

#define writeSYSSpeakerMainSmall2 0xca00+STD_BETA_SYSIDL,0x0722
#define writeSYSSpeakerMainLarge2 0xca00+STD_BETA_SYSIDL,0x0732

#define writeSYSSpeakerCntrNone 0xca00+STD_BETA_SYSIDL,0x0800
#define writeSYSSpeakerCntrSmall1 0xca00+STD_BETA_SYSIDL,0x0821
#define writeSYSSpeakerCntrLarge1 0xca00+STD_BETA_SYSIDL,0x0831

#define writeSYSSpeakerSurrNone 0xca00+STD_BETA_SYSIDL,0x0900
#define writeSYSSpeakerSurrSmall2 0xca00+STD_BETA_SYSIDL,0x0922
#define writeSYSSpeakerSurrLarge2 0xca00+STD_BETA_SYSIDL,0x0932

#define writeSYSSpeakerBackNone 0xca00+STD_BETA_SYSIDL,0x0a00
#define writeSYSSpeakerBackSmall1 0xca00+STD_BETA_SYSIDL,0x0a21
#define writeSYSSpeakerBackLarge1 0xca00+STD_BETA_SYSIDL,0x0a31
#define writeSYSSpeakerBackSmall2 0xca00+STD_BETA_SYSIDL,0x0a22
#define writeSYSSpeakerBackLarge2 0xca00+STD_BETA_SYSIDL,0x0a32

#define writeSYSSpeakerSubwNone 0xca00+STD_BETA_SYSIDL,0x0b00
#define writeSYSSpeakerSubwBass1 0xca00+STD_BETA_SYSIDL,0x0b11
#define writeSYSSpeakerSubwBass2 0xca00+STD_BETA_SYSIDL,0x0b12
#define writeSYSSpeakerSubwLarge1 0xca00+STD_BETA_SYSIDL,0x0b31
#define writeSYSSpeakerSubwLarge2 0xca00+STD_BETA_SYSIDL,0x0b32

#define writeSYSSpeakerWideNone 0xca00+STD_BETA_SYSIDL,0x1800
#define writeSYSSpeakerWideSmall2 0xca00+STD_BETA_SYSIDL,0x1822
#define writeSYSSpeakerWideLarge2 0xca00+STD_BETA_SYSIDL,0x1832

#define writeSYSSpeakerHighNone 0xca00+STD_BETA_SYSIDL,0x1900
#define writeSYSSpeakerHighSmall2 0xca00+STD_BETA_SYSIDL,0x1922
#define writeSYSSpeakerHighLarge2 0xca00+STD_BETA_SYSIDL,0x1932

#define writeSYSSpeakerTopfrontNone 0xca00+STD_BETA_SYSIDL,0x1A00
#define writeSYSSpeakerTopfrontSmall2 0xca00+STD_BETA_SYSIDL,0x1A22
#define writeSYSSpeakerTopfrontLarge2 0xca00+STD_BETA_SYSIDL,0x1A32
#define writeSYSSpeakerToprearNone 0xca00+STD_BETA_SYSIDL,0x1B00
#define writeSYSSpeakerToprearSmall2 0xca00+STD_BETA_SYSIDL,0x1B22
#define writeSYSSpeakerToprearLarge2 0xca00+STD_BETA_SYSIDL,0x1B32
#define writeSYSSpeakerTopmiddleNone 0xca00+STD_BETA_SYSIDL,0x1C00
#define writeSYSSpeakerTopmiddleSmall2 0xca00+STD_BETA_SYSIDL,0x1C22
#define writeSYSSpeakerTopmiddleLarge2 0xca00+STD_BETA_SYSIDL,0x1C32
#define writeSYSSpeakerFrontheightNone 0xca00+STD_BETA_SYSIDL,0x1D00
#define writeSYSSpeakerFrontheightSmall2 0xca00+STD_BETA_SYSIDL,0x1D22
#define writeSYSSpeakerFrontheightLarge2 0xca00+STD_BETA_SYSIDL,0x1D32
#define writeSYSSpeakerRearheightNone 0xca00+STD_BETA_SYSIDL,0x1E00
#define writeSYSSpeakerRearheightSmall2 0xca00+STD_BETA_SYSIDL,0x1E22
#define writeSYSSpeakerRearheightLarge2 0xca00+STD_BETA_SYSIDL,0x1E32

#define writeSYSChannelConfigurationRequestTypeStandard 0xca00+STD_BETA_SYSIDL,0x0c00
#define writeSYSChannelConfigurationRequestTypeDecodeBypass 0xca00+STD_BETA_SYSIDL,0x0c01
#define writeSYSChannelConfigurationRequestTypeDecodeDirect 0xca00+STD_BETA_SYSIDL,0x0c02

#define readSYSImageSwitch 0xc200+STD_BETA_SYSIDL,0x0d00
#define writeSYSImageSwitchN(N) 0xca00+STD_BETA_SYSIDL,0x0d00+N
#define writeimage1 0xca00+STD_BETA_SYSIDL,0x0d01
#define writeimage2 0xca00+STD_BETA_SYSIDL,0x0d02
#define writeimage3 0xca00+STD_BETA_SYSIDL,0x0d03

#define readSYSImageNum 0xc200+STD_BETA_SYSIDL,0x0e00

#define readSYSImageNumMax 0xc200+STD_BETA_SYSIDL,0x0f00


#define writeSYSChannelConfigurationRequestUnknown 0xcc00+STD_BETA_SYSIDL,0x0020,0x0000,0x0000

#define writeSYSChannelConfigurationRequestNone       writeSYSChannelConfigurationRequestNone_0 
#define writeSYSChannelConfigurationRequestMono       writeSYSChannelConfigurationRequestMono_0 
#define writeSYSChannelConfigurationRequestStereo     writeSYSChannelConfigurationRequestPhantom0_0 
#define writeSYSChannelConfigurationRequestStereoLtRt writeSYSChannelConfigurationRequestPhantom0LtRt_0 
#define writeSYSChannelConfigurationRequestStereoMono writeSYSChannelConfigurationRequestPhantom0Mono_0 
#define writeSYSChannelConfigurationRequest3Stereo    writeSYSChannelConfigurationRequestSurround0_1 
#define writeSYSChannelConfigurationRequestPhantom    writeSYSChannelConfigurationRequestPhantom2_1 
#define writeSYSChannelConfigurationRequestSurround   writeSYSChannelConfigurationRequestSurround2_1 

#define writeSYSChannelConfigurationRequestNone_0 0xcc00+STD_BETA_SYSIDL,0x0020,0x0001,0x0000
#define writeSYSChannelConfigurationRequestMono_0 0xcc00+STD_BETA_SYSIDL,0x0020,0x0002,0x0000
#define writeSYSChannelConfigurationRequestPhantom0_0 0xcc00+STD_BETA_SYSIDL,0x0020,0x0003,0x0000
#define writeSYSChannelConfigurationRequestPhantom0Stereo_0 0xcc00+STD_BETA_SYSIDL,0x0020,0x0003,0x0001
#define writeSYSChannelConfigurationRequestPhantom0LtRt_0 0xcc00+STD_BETA_SYSIDL,0x0020,0x0003,0x0002
#define writeSYSChannelConfigurationRequestPhantom0Mono_0 0xcc00+STD_BETA_SYSIDL,0x0020,0x0003,0x0003
#define wroteSYSChannelConfigurationRequestPhantom0Dual_0 0xcc00+STD_BETA_SYSIDL,0x0020,0x0003,0x0004
#define writeSYSChannelConfigurationRequestPhantom1_0 0xcc00+STD_BETA_SYSIDL,0x0020,0x0004,0x0000
#define writeSYSChannelConfigurationRequestPhantom2_0 0xcc00+STD_BETA_SYSIDL,0x0020,0x0005,0x0000
#define wroteSYSChannelConfigurationRequestPhantom2Stereo_0 0xcc00+STD_BETA_SYSIDL,0x0020,0x0005,0x0001
#define writeSYSChannelConfigurationRequestPhantom2LtRt_0 0xcc00+STD_BETA_SYSIDL,0x0020,0x0005,0x0002
#define wroteSYSChannelConfigurationRequestPhantom2Mono_0 0xcc00+STD_BETA_SYSIDL,0x0020,0x0005,0x0003
#define writeSYSChannelConfigurationRequestPhantom3_0 0xcc00+STD_BETA_SYSIDL,0x0020,0x0006,0x0000
#define writeSYSChannelConfigurationRequestPhantom4_0 0xcc00+STD_BETA_SYSIDL,0x0020,0x0007,0x0000
#define writeSYSChannelConfigurationRequestSurround0_0 0xcc00+STD_BETA_SYSIDL,0x0020,0x0008,0x0000
#define writeSYSChannelConfigurationRequestSurround1_0 0xcc00+STD_BETA_SYSIDL,0x0020,0x0009,0x0000
#define writeSYSChannelConfigurationRequestSurround2_0 0xcc00+STD_BETA_SYSIDL,0x0020,0x000a,0x0000
#define wroteSYSChannelConfigurationRequestSurround2Stereo_0 0xcc00+STD_BETA_SYSIDL,0x0020,0x000a,0x0001
#define writeSYSChannelConfigurationRequestSurround2LtRt_0 0xcc00+STD_BETA_SYSIDL,0x0020,0x000a,0x0002
#define wroteSYSChannelConfigurationRequestSurround2Mono_0 0xcc00+STD_BETA_SYSIDL,0x0020,0x000a,0x0003
#define writeSYSChannelConfigurationRequestSurround3_0 0xcc00+STD_BETA_SYSIDL,0x0020,0x000b,0x0000
#define writeSYSChannelConfigurationRequestSurround4_0 0xcc00+STD_BETA_SYSIDL,0x0020,0x000c,0x0000

#define writeSYSChannelConfigurationRequestNone_1 0xcc00+STD_BETA_SYSIDL,0x0020,0x0101,0x0000
#define writeSYSChannelConfigurationRequestMono_1 0xcc00+STD_BETA_SYSIDL,0x0020,0x0102,0x0000
#define writeSYSChannelConfigurationRequestPhantom0_1 0xcc00+STD_BETA_SYSIDL,0x0020,0x0103,0x0000
#define writeSYSChannelConfigurationRequestPhantom0Stereo_1 0xcc00+STD_BETA_SYSIDL,0x0020,0x0103,0x0001
#define writeSYSChannelConfigurationRequestPhantom0LtRt_1 0xcc00+STD_BETA_SYSIDL,0x0020,0x0103,0x0002
#define writeSYSChannelConfigurationRequestPhantom0Mono_1 0xcc00+STD_BETA_SYSIDL,0x0020,0x0103,0x0003
#define wroteSYSChannelConfigurationRequestPhantom0Dual_1 0xcc00+STD_BETA_SYSIDL,0x0020,0x0103,0x0004
#define writeSYSChannelConfigurationRequestPhantom1_1 0xcc00+STD_BETA_SYSIDL,0x0020,0x0104,0x0000
#define writeSYSChannelConfigurationRequestPhantom2_1 0xcc00+STD_BETA_SYSIDL,0x0020,0x0105,0x0000
#define wroteSYSChannelConfigurationRequestPhantom2Stereo_1 0xcc00+STD_BETA_SYSIDL,0x0020,0x0105,0x0001
#define writeSYSChannelConfigurationRequestPhantom2LtRt_1 0xcc00+STD_BETA_SYSIDL,0x0020,0x0105,0x0002
#define wroteSYSChannelConfigurationRequestPhantom2Mono_1 0xcc00+STD_BETA_SYSIDL,0x0020,0x0105,0x0003
#define writeSYSChannelConfigurationRequestPhantom3_1 0xcc00+STD_BETA_SYSIDL,0x0020,0x0106,0x0000
#define writeSYSChannelConfigurationRequestPhantom4_1 0xcc00+STD_BETA_SYSIDL,0x0020,0x0107,0x0000
#define writeSYSChannelConfigurationRequestSurround0_1 0xcc00+STD_BETA_SYSIDL,0x0020,0x0108,0x0000
#define writeSYSChannelConfigurationRequestSurround1_1 0xcc00+STD_BETA_SYSIDL,0x0020,0x0109,0x0000
#define writeSYSChannelConfigurationRequestSurround2_1 0xcc00+STD_BETA_SYSIDL,0x0020,0x010a,0x0000
#define wroteSYSChannelConfigurationRequestSurround2Stereo_1 0xcc00+STD_BETA_SYSIDL,0x0020,0x010a,0x0001
#define writeSYSChannelConfigurationRequestSurround2LtRt_1 0xcc00+STD_BETA_SYSIDL,0x0020,0x010a,0x0002
#define wroteSYSChannelConfigurationRequestSurround2Mono_1 0xcc00+STD_BETA_SYSIDL,0x0020,0x010a,0x0003
#define writeSYSChannelConfigurationRequestSurround3_1 0xcc00+STD_BETA_SYSIDL,0x0020,0x010b,0x0000
#define writeSYSChannelConfigurationRequestSurround4_1 0xcc00+STD_BETA_SYSIDL,0x0020,0x010c,0x0000

#define writeSYSChannelConfigurationRequestNone_2 0xcc00+STD_BETA_SYSIDL,0x0020,0x0201,0x0000
#define writeSYSChannelConfigurationRequestMono_2 0xcc00+STD_BETA_SYSIDL,0x0020,0x0202,0x0000
#define writeSYSChannelConfigurationRequestPhantom0_2 0xcc00+STD_BETA_SYSIDL,0x0020,0x0203,0x0000
#define writeSYSChannelConfigurationRequestPhantom0Stereo_2 0xcc00+STD_BETA_SYSIDL,0x0020,0x0203,0x0001
#define writeSYSChannelConfigurationRequestPhantom0LtRt_2 0xcc00+STD_BETA_SYSIDL,0x0020,0x0203,0x0002
#define writeSYSChannelConfigurationRequestPhantom0Mono_2 0xcc00+STD_BETA_SYSIDL,0x0020,0x0203,0x0003
#define wroteSYSChannelConfigurationRequestPhantom0Dual_2 0xcc00+STD_BETA_SYSIDL,0x0020,0x0203,0x0004
#define writeSYSChannelConfigurationRequestPhantom1_2 0xcc00+STD_BETA_SYSIDL,0x0020,0x0204,0x0000
#define writeSYSChannelConfigurationRequestPhantom2_2 0xcc00+STD_BETA_SYSIDL,0x0020,0x0205,0x0000
#define wroteSYSChannelConfigurationRequestPhantom2Stereo_2 0xcc00+STD_BETA_SYSIDL,0x0020,0x0205,0x0001
#define writeSYSChannelConfigurationRequestPhantom2LtRt_2 0xcc00+STD_BETA_SYSIDL,0x0020,0x0205,0x0002
#define wroteSYSChannelConfigurationRequestPhantom2Mono_2 0xcc00+STD_BETA_SYSIDL,0x0020,0x0205,0x0003
#define writeSYSChannelConfigurationRequestPhantom3_2 0xcc00+STD_BETA_SYSIDL,0x0020,0x0206,0x0000
#define writeSYSChannelConfigurationRequestPhantom4_2 0xcc00+STD_BETA_SYSIDL,0x0020,0x0207,0x0000
#define writeSYSChannelConfigurationRequestSurround0_2 0xcc00+STD_BETA_SYSIDL,0x0020,0x0208,0x0000
#define writeSYSChannelConfigurationRequestSurround1_2 0xcc00+STD_BETA_SYSIDL,0x0020,0x0209,0x0000
#define writeSYSChannelConfigurationRequestSurround2_2 0xcc00+STD_BETA_SYSIDL,0x0020,0x020a,0x0000
#define wroteSYSChannelConfigurationRequestSurround2Stereo_2 0xcc00+STD_BETA_SYSIDL,0x0020,0x020a,0x0001
#define writeSYSChannelConfigurationRequestSurround2LtRt_2 0xcc00+STD_BETA_SYSIDL,0x0020,0x020a,0x0002
#define wroteSYSChannelConfigurationRequestSurround2Mono_2 0xcc00+STD_BETA_SYSIDL,0x0020,0x020a,0x0003
#define writeSYSChannelConfigurationRequestSurround3_2 0xcc00+STD_BETA_SYSIDL,0x0020,0x020b,0x0000
#define writeSYSChannelConfigurationRequestSurround4_2 0xcc00+STD_BETA_SYSIDL,0x0020,0x020c,0x0000

#define writeSYSChannelConfigurationRequestStereoUnknown 0xcc00+STD_BETA_SYSIDL,0x0020,0x0003,0x0000
#define writeSYSChannelConfigurationRequestStereoStereo 0xcc00+STD_BETA_SYSIDL,0x0020,0x0003,0x0001
#define writeSYSChannelConfigurationRequestStereoDual 0xcc00+STD_BETA_SYSIDL,0x0020,0x0003,0x0004
#define writeSYSChannelConfigurationRequestSurround2Unknown_0 0xcc00+STD_BETA_SYSIDL,0x0020,0x000a,0x0000
#define writeSYSChannelConfigurationRequestSurround2Unknown_1 0xcc00+STD_BETA_SYSIDL,0x0020,0x010a,0x0000

// Extended channel configuration requests

#define writeSYSChannelConfigurationRequestNoneX(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x0001,(n<<8)
#define writeSYSChannelConfigurationRequestNoneLwRw writeSYSChannelConfigurationRequestNoneX(0x01)
#define writeSYSChannelConfigurationRequestNoneLhRh writeSYSChannelConfigurationRequestNoneX(0x04)
#define writeSYSChannelConfigurationRequestNoneLwRwLhRh writeSYSChannelConfigurationRequestNoneX(0x05)
#define writeSYSChannelConfigurationRequestMonoX(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x0002,(n<<8)
#define writeSYSChannelConfigurationRequestMonoLwRw writeSYSChannelConfigurationRequestMonoX(0x01)
#define writeSYSChannelConfigurationRequestMonoLhRh writeSYSChannelConfigurationRequestMonoX(0x04)
#define writeSYSChannelConfigurationRequestMonoLwRwLhRh writeSYSChannelConfigurationRequestMonoX(0x05)
#define writeSYSChannelConfigurationRequestStereoX(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x0003,(n<<8)
#define writeSYSChannelConfigurationRequestStereoLwRw writeSYSChannelConfigurationRequestStereoX(0x01)
#define writeSYSChannelConfigurationRequestStereoLhRh writeSYSChannelConfigurationRequestStereoX(0x04)
#define writeSYSChannelConfigurationRequestStereoLwRwLhRh writeSYSChannelConfigurationRequestStereoX(0x05)
#define writeSYSChannelConfigurationRequestStereoXLtRt(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x0003,((n<<8)|0x0002)
#define writeSYSChannelConfigurationRequestStereoLwRwLtRt writeSYSChannelConfigurationRequestStereoXLtRt(0x01)
#define writeSYSChannelConfigurationRequestStereoLhRhLtRt writeSYSChannelConfigurationRequestStereoXLtRt(0x04)
#define writeSYSChannelConfigurationRequestStereoLwRwLhRhLtRt writeSYSChannelConfigurationRequestStereoXLtRt(0x05)
#define writeSYSChannelConfigurationRequestStereoXMono(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x0003,((n<<8)|0x0003)
#define writeSYSChannelConfigurationRequestStereoLwRwMono writeSYSChannelConfigurationRequestStereoXMono(0x01)
#define writeSYSChannelConfigurationRequestStereoLhRhMono writeSYSChannelConfigurationRequestStereoXMono(0x04)
#define writeSYSChannelConfigurationRequestStereoLwRwLhRhMono writeSYSChannelConfigurationRequestStereoXMono(0x05)
#define writeSYSChannelConfigurationRequest3StereoX(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x0108,(n<<8)
#define writeSYSChannelConfigurationRequest3StereoLwRw writeSYSChannelConfigurationRequest3StereoX(0x01)
#define writeSYSChannelConfigurationRequest3StereoLhRh writeSYSChannelConfigurationRequest3StereoX(0x04)
#define writeSYSChannelConfigurationRequest3StereoLwRwLhRh writeSYSChannelConfigurationRequest3StereoX(0x05)
#define writeSYSChannelConfigurationRequestPhantomX(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x0105,(n<<8)
#define writeSYSChannelConfigurationRequestPhantomLwRw writeSYSChannelConfigurationRequestPhantomX(0x01)
#define writeSYSChannelConfigurationRequestPhantomLhRh writeSYSChannelConfigurationRequestPhantomX(0x04)
#define writeSYSChannelConfigurationRequestPhantomLwRwLhRh writeSYSChannelConfigurationRequestPhantomX(0x05)
#define writeSYSChannelConfigurationRequestSurroundX(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x010a,(n<<8)
#define writeSYSChannelConfigurationRequestSurroundLwRw writeSYSChannelConfigurationRequestSurroundX(0x01)
#define writeSYSChannelConfigurationRequestSurroundLhRh writeSYSChannelConfigurationRequestSurroundX(0x04)
#define writeSYSChannelConfigurationRequestSurroundLwRwLhRh writeSYSChannelConfigurationRequestSurroundX(0x05)

// _0
#define writeSYSChannelConfigurationRequestNoneX_0(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x0001,(n<<8)
#define writeSYSChannelConfigurationRequestNoneLwRw_0 writeSYSChannelConfigurationRequestNoneX_0(0x01)
#define writeSYSChannelConfigurationRequestNoneLhRh_0 writeSYSChannelConfigurationRequestNoneX_0(0x04)
#define writeSYSChannelConfigurationRequestNoneLwRwLhRh_0 writeSYSChannelConfigurationRequestNoneX_0(0x05)
#define writeSYSChannelConfigurationRequestMonoX_0(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x0002,(n<<8)
#define writeSYSChannelConfigurationRequestMonoLwRw_0 writeSYSChannelConfigurationRequestMonoX_0(0x01)
#define writeSYSChannelConfigurationRequestMonoLhRh_0 writeSYSChannelConfigurationRequestMonoX_0(0x04)
#define writeSYSChannelConfigurationRequestMonoLwRwLhRh_0 writeSYSChannelConfigurationRequestMonoX_0(0x05)
#define writeSYSChannelConfigurationRequestPhantom0X_0(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x0003,(n<<8)
#define writeSYSChannelConfigurationRequestPhantom0LwRw_0 writeSYSChannelConfigurationRequestPhantom0X_0(0x01)
#define writeSYSChannelConfigurationRequestPhantom0LhRh_0 writeSYSChannelConfigurationRequestPhantom0X_0(0x04)
#define writeSYSChannelConfigurationRequestPhantom0LwRwLhRh_0 writeSYSChannelConfigurationRequestPhantom0X_0(0x05)
#define writeSYSChannelConfigurationRequestPhantom0XStereo_0(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x0003,((n<<8)|0x0001)
#define writeSYSChannelConfigurationRequestPhantom0LwRwStereo_0 writeSYSChannelConfigurationRequestPhantom0XStereo_0(0x01)
#define writeSYSChannelConfigurationRequestPhantom0LhRhStereo_0 writeSYSChannelConfigurationRequestPhantom0XStereo_0(0x04) 
#define writeSYSChannelConfigurationRequestPhantom0LwRwLhRhStereo_0 writeSYSChannelConfigurationRequestPhantom0XStereo_0(0x05) 
#define writeSYSChannelConfigurationRequestPhantom0XLtRt_0(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x0003,((n<<8)|0x0002)
#define writeSYSChannelConfigurationRequestPhantom0LwRwLtRt_0 writeSYSChannelConfigurationRequestPhantom0XLtRt_0(0x01)
#define writeSYSChannelConfigurationRequestPhantom0LhRhLtRt_0 writeSYSChannelConfigurationRequestPhantom0XLtRt_0(0x04)
#define writeSYSChannelConfigurationRequestPhantom0LwRwLhRhLtRt_0 writeSYSChannelConfigurationRequestPhantom0XLtRt_0(0x05)
#define writeSYSChannelConfigurationRequestPhantom0XMono_0(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x0003,((n<<8)|0x0003)
#define writeSYSChannelConfigurationRequestPhantom0LwRwMono_0 writeSYSChannelConfigurationRequestPhantom0XMono_0(0x01)
#define writeSYSChannelConfigurationRequestPhantom0LhRhMono_0 writeSYSChannelConfigurationRequestPhantom0XMono_0(0x04)
#define writeSYSChannelConfigurationRequestPhantom0LwRwLhRhMono_0 writeSYSChannelConfigurationRequestPhantom0XMono_0(0x05)
#define writeSYSChannelConfigurationRequestPhantom0XDual_0(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x0003,((n<<8)|0x0004)
#define writeSYSChannelConfigurationRequestPhantom0LwRwDual_0 writeSYSChannelConfigurationRequestPhantom0XDual_0(0x01)
#define writeSYSChannelConfigurationRequestPhantom0LhRhDual_0 writeSYSChannelConfigurationRequestPhantom0XDual_0(0x04)
#define writeSYSChannelConfigurationRequestPhantom0LwRwLhRhDual_0 writeSYSChannelConfigurationRequestPhantom0XDual_0(0x05)
#define writeSYSChannelConfigurationRequestPhantom1X_0(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x0004,(n<<8)
#define writeSYSChannelConfigurationRequestPhantom1LwRw_0 writeSYSChannelConfigurationRequestPhantom1X_0(0x01)
#define writeSYSChannelConfigurationRequestPhantom1LhRh_0 writeSYSChannelConfigurationRequestPhantom1X_0(0x04)
#define writeSYSChannelConfigurationRequestPhantom1LwRwLhRh_0 writeSYSChannelConfigurationRequestPhantom1X_0(0x05)
#define writeSYSChannelConfigurationRequestPhantom2X_0(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x0005,(n<<8)
#define writeSYSChannelConfigurationRequestPhantom2LwRw_0 writeSYSChannelConfigurationRequestPhantom2X_0(0x01)
#define writeSYSChannelConfigurationRequestPhantom2LhRh_0 writeSYSChannelConfigurationRequestPhantom2X_0(0x04)
#define writeSYSChannelConfigurationRequestPhantom2LwRwLhRh_0 writeSYSChannelConfigurationRequestPhantom2X_0(0x05)
#define writeSYSChannelConfigurationRequestPhantom2XStereo_0(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x0005,((n<<8)|0x0001)
#define writeSYSChannelConfigurationRequestPhantom2LwRwStereo_0 writeSYSChannelConfigurationRequestPhantom2XStereo_0(0x01) 
#define writeSYSChannelConfigurationRequestPhantom2LhRhStereo_0 writeSYSChannelConfigurationRequestPhantom2XStereo_0(0x04) 
#define writeSYSChannelConfigurationRequestPhantom2LwRwLhRhStereo_0 writeSYSChannelConfigurationRequestPhantom2XStereo_0(0x05) 
#define writeSYSChannelConfigurationRequestPhantom2XLtRt_0(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x0005,((n<<8)|0x0002)
#define writeSYSChannelConfigurationRequestPhantom2LwRwLtRt_0 writeSYSChannelConfigurationRequestPhantom2XLtRt_0(0x01) 
#define writeSYSChannelConfigurationRequestPhantom2LhRhLtRt_0 writeSYSChannelConfigurationRequestPhantom2XLtRt_0(0x04) 
#define writeSYSChannelConfigurationRequestPhantom2LwRwLhRhLtRt_0 writeSYSChannelConfigurationRequestPhantom2XLtRt_0(0x05) 
#define writeSYSChannelConfigurationRequestPhantom2XMono_0(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x0005,((n<<8)|0x0003)
#define writeSYSChannelConfigurationRequestPhantom2LwRwMono_0 writeSYSChannelConfigurationRequestPhantom2XMono_0(0x01) 
#define writeSYSChannelConfigurationRequestPhantom2LhRhMono_0 writeSYSChannelConfigurationRequestPhantom2XMono_0(0x04)
#define writeSYSChannelConfigurationRequestPhantom2LwRwLhRhMono_0 writeSYSChannelConfigurationRequestPhantom2XMono_0(0x05) 
#define writeSYSChannelConfigurationRequestPhantom3X_0(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x0006,(n<<8)
#define writeSYSChannelConfigurationRequestPhantom3LwRw_0 writeSYSChannelConfigurationRequestPhantom3X_0(0x01)
#define writeSYSChannelConfigurationRequestPhantom3LhRh_0 writeSYSChannelConfigurationRequestPhantom3X_0(0x04)
#define writeSYSChannelConfigurationRequestPhantom3LwRwLhRh_0 writeSYSChannelConfigurationRequestPhantom3X_0(0x05)
#define writeSYSChannelConfigurationRequestPhantom4X_0(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x0007,(n<<8)
#define writeSYSChannelConfigurationRequestPhantom4LwRw_0 writeSYSChannelConfigurationRequestPhantom4X_0(0x01)
#define writeSYSChannelConfigurationRequestPhantom4LhRh_0 writeSYSChannelConfigurationRequestPhantom4X_0(0x04)
#define writeSYSChannelConfigurationRequestPhantom4LwRwLhRh_0 writeSYSChannelConfigurationRequestPhantom4X_0(0x05)
#define writeSYSChannelConfigurationRequestSurround0X_0(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x0008,(n<<8)
#define writeSYSChannelConfigurationRequestSurround0LwRw_0 writeSYSChannelConfigurationRequestSurround0X_0(0x01)
#define writeSYSChannelConfigurationRequestSurround0LhRh_0 writeSYSChannelConfigurationRequestSurround0X_0(0x04)
#define writeSYSChannelConfigurationRequestSurround0LwRwLhRh_0 writeSYSChannelConfigurationRequestSurround0X_0(0x05)
#define writeSYSChannelConfigurationRequestSurround1X_0(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x0009,(n<<8)
#define writeSYSChannelConfigurationRequestSurround1LwRw_0 writeSYSChannelConfigurationRequestSurround1X_0(0x01)
#define writeSYSChannelConfigurationRequestSurround1LhRh_0 writeSYSChannelConfigurationRequestSurround1X_0(0x04)
#define writeSYSChannelConfigurationRequestSurround1LwRwLhRh_0 writeSYSChannelConfigurationRequestSurround1X_0(0x05)
#define writeSYSChannelConfigurationRequestSurround2X_0(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x000a,(n<<8)
#define writeSYSChannelConfigurationRequestSurround2LwRw_0 writeSYSChannelConfigurationRequestSurround2X_0(0x01)
#define writeSYSChannelConfigurationRequestSurround2LhRh_0 writeSYSChannelConfigurationRequestSurround2X_0(0x04)
#define writeSYSChannelConfigurationRequestSurround2LwRwLhRh_0 writeSYSChannelConfigurationRequestSurround2X_0(0x05)
#define writeSYSChannelConfigurationRequestSurround2XStereo_0(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x000a,((n<<8)|0x0001)
#define writeSYSChannelConfigurationRequestSurround2LwRwStereo_0 writeSYSChannelConfigurationRequestSurround2XStereo_0(0x01)
#define writeSYSChannelConfigurationRequestSurround2LhRhStereo_0 writeSYSChannelConfigurationRequestSurround2XStereo_0(0x04)
#define writeSYSChannelConfigurationRequestSurround2LwRwLhRhStereo_0 writeSYSChannelConfigurationRequestSurround2XStereo_0(0x05)
#define writeSYSChannelConfigurationRequestSurround2XLtRt_0(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x000a,((n<<8)|0x0002)
#define writeSYSChannelConfigurationRequestSurround2LwRwLtRt_0 writeSYSChannelConfigurationRequestSurround2XLtRt_0(0x01) 
#define writeSYSChannelConfigurationRequestSurround2LhRhLtRt_0 writeSYSChannelConfigurationRequestSurround2XLtRt_0(0x04) 
#define writeSYSChannelConfigurationRequestSurround2LwRwLhRhLtRt_0 writeSYSChannelConfigurationRequestSurround2XLtRt_0(0x05) 
#define writeSYSChannelConfigurationRequestSurround2XMono_0(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x000a,((n<<8)|0x0003)
#define writeSYSChannelConfigurationRequestSurround2LwRwMono_0 writeSYSChannelConfigurationRequestSurround2XMono_0(0x01) 
#define writeSYSChannelConfigurationRequestSurround2LhRhMono_0 writeSYSChannelConfigurationRequestSurround2XMono_0(0x04)
#define writeSYSChannelConfigurationRequestSurround2LwRwLhRhMono_0 writeSYSChannelConfigurationRequestSurround2XMono_0(0x05) 
#define writeSYSChannelConfigurationRequestSurround3X_0(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x000b,(n<<8)
#define writeSYSChannelConfigurationRequestSurround3LwRw_0 writeSYSChannelConfigurationRequestSurround3X_0(0x01)
#define writeSYSChannelConfigurationRequestSurround3LhRh_0 writeSYSChannelConfigurationRequestSurround3X_0(0x04)
#define writeSYSChannelConfigurationRequestSurround3LwRwLhRh_0 writeSYSChannelConfigurationRequestSurround3X_0(0x05)
#define writeSYSChannelConfigurationRequestSurround4X_0(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x000c,(n<<8)
#define writeSYSChannelConfigurationRequestSurround4LwRw_0 writeSYSChannelConfigurationRequestSurround4X_0(0x01)
#define writeSYSChannelConfigurationRequestSurround4LhRh_0 writeSYSChannelConfigurationRequestSurround4X_0(0x04)
#define writeSYSChannelConfigurationRequestSurround4LwRwLhRh_0 writeSYSChannelConfigurationRequestSurround4X_0(0x05)

// _1
#define writeSYSChannelConfigurationRequestNoneX_1(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x0101,(n<<8)
#define writeSYSChannelConfigurationRequestNoneLwRw_1 writeSYSChannelConfigurationRequestNoneX_1(0x01)
#define writeSYSChannelConfigurationRequestNoneLhRh_1 writeSYSChannelConfigurationRequestNoneX_1(0x04)
#define writeSYSChannelConfigurationRequestNoneLwRwLhRh_1 writeSYSChannelConfigurationRequestNoneX_1(0x05)
#define writeSYSChannelConfigurationRequestMonoX_1(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x0102,(n<<8)
#define writeSYSChannelConfigurationRequestMonoLwRw_1 writeSYSChannelConfigurationRequestMonoX_1(0x01)
#define writeSYSChannelConfigurationRequestMonoLhRh_1 writeSYSChannelConfigurationRequestMonoX_1(0x04)
#define writeSYSChannelConfigurationRequestMonoLwRwLhRh_1 writeSYSChannelConfigurationRequestMonoX_1(0x05)
#define writeSYSChannelConfigurationRequestPhantom0X_1(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x0103,(n<<8)
#define writeSYSChannelConfigurationRequestPhantom0LwRw_1 writeSYSChannelConfigurationRequestPhantom0X_1(0x01)
#define writeSYSChannelConfigurationRequestPhantom0LhRh_1 writeSYSChannelConfigurationRequestPhantom0X_1(0x04)
#define writeSYSChannelConfigurationRequestPhantom0LwRwLhRh_1 writeSYSChannelConfigurationRequestPhantom0X_1(0x05)
#define writeSYSChannelConfigurationRequestPhantom0XStereo_1(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x0103,((n<<8)|0x0001)
#define writeSYSChannelConfigurationRequestPhantom0LwRwStereo_1 writeSYSChannelConfigurationRequestPhantom0XStereo_1(0x01)
#define writeSYSChannelConfigurationRequestPhantom0LhRhStereo_1 writeSYSChannelConfigurationRequestPhantom0XStereo_1(0x04) 
#define writeSYSChannelConfigurationRequestPhantom0LwRwLhRhStereo_1 writeSYSChannelConfigurationRequestPhantom0XStereo_1(0x05) 
#define writeSYSChannelConfigurationRequestPhantom0XLtRt_1(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x0103,((n<<8)|0x0002)
#define writeSYSChannelConfigurationRequestPhantom0LwRwLtRt_1 writeSYSChannelConfigurationRequestPhantom0XLtRt_1(0x01)
#define writeSYSChannelConfigurationRequestPhantom0LhRhLtRt_1 writeSYSChannelConfigurationRequestPhantom0XLtRt_1(0x04)
#define writeSYSChannelConfigurationRequestPhantom0LwRwLhRhLtRt_1 writeSYSChannelConfigurationRequestPhantom0XLtRt_1(0x05)
#define writeSYSChannelConfigurationRequestPhantom0XMono_1(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x0103,((n<<8)|0x0003)
#define writeSYSChannelConfigurationRequestPhantom0LwRwMono_1 writeSYSChannelConfigurationRequestPhantom0XMono_1(0x01)
#define writeSYSChannelConfigurationRequestPhantom0LhRhMono_1 writeSYSChannelConfigurationRequestPhantom0XMono_1(0x04)
#define writeSYSChannelConfigurationRequestPhantom0LwRwLhRhMono_1 writeSYSChannelConfigurationRequestPhantom0XMono_1(0x05)
#define writeSYSChannelConfigurationRequestPhantom0XDual_1(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x0103,((n<<8)|0x0004)
#define writeSYSChannelConfigurationRequestPhantom0LwRwDual_1 writeSYSChannelConfigurationRequestPhantom0XDual_1(0x01)
#define writeSYSChannelConfigurationRequestPhantom0LhRhDual_1 writeSYSChannelConfigurationRequestPhantom0XDual_1(0x04)
#define writeSYSChannelConfigurationRequestPhantom0LwRwLhRhDual_1 writeSYSChannelConfigurationRequestPhantom0XDual_1(0x05)
#define writeSYSChannelConfigurationRequestPhantom1X_1(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x0104,(n<<8)
#define writeSYSChannelConfigurationRequestPhantom1LwRw_1 writeSYSChannelConfigurationRequestPhantom1X_1(0x01)
#define writeSYSChannelConfigurationRequestPhantom1LhRh_1 writeSYSChannelConfigurationRequestPhantom1X_1(0x04)
#define writeSYSChannelConfigurationRequestPhantom1LwRwLhRh_1 writeSYSChannelConfigurationRequestPhantom1X_1(0x05)
#define writeSYSChannelConfigurationRequestPhantom2X_1(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x0105,(n<<8)
#define writeSYSChannelConfigurationRequestPhantom2LwRw_1 writeSYSChannelConfigurationRequestPhantom2X_1(0x01)
#define writeSYSChannelConfigurationRequestPhantom2LhRh_1 writeSYSChannelConfigurationRequestPhantom2X_1(0x04)
#define writeSYSChannelConfigurationRequestPhantom2LwRwLhRh_1 writeSYSChannelConfigurationRequestPhantom2X_1(0x05)
#define writeSYSChannelConfigurationRequestPhantom2XStereo_1(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x0105,((n<<8)|0x0001)
#define writeSYSChannelConfigurationRequestPhantom2LwRwStereo_1 writeSYSChannelConfigurationRequestPhantom2XStereo_1(0x01) 
#define writeSYSChannelConfigurationRequestPhantom2LhRhStereo_1 writeSYSChannelConfigurationRequestPhantom2XStereo_1(0x04) 
#define writeSYSChannelConfigurationRequestPhantom2LwRwLhRhStereo_1 writeSYSChannelConfigurationRequestPhantom2XStereo_1(0x05) 
#define writeSYSChannelConfigurationRequestPhantom2XLtRt_1(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x0105,((n<<8)|0x0002)
#define writeSYSChannelConfigurationRequestPhantom2LwRwLtRt_1 writeSYSChannelConfigurationRequestPhantom2XLtRt_1(0x01) 
#define writeSYSChannelConfigurationRequestPhantom2LhRhLtRt_1 writeSYSChannelConfigurationRequestPhantom2XLtRt_1(0x04) 
#define writeSYSChannelConfigurationRequestPhantom2LwRwLhRhLtRt_1 writeSYSChannelConfigurationRequestPhantom2XLtRt_1(0x05) 
#define writeSYSChannelConfigurationRequestPhantom2XMono_1(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x0105,((n<<8)|0x0003)
#define writeSYSChannelConfigurationRequestPhantom2LwRwMono_1 writeSYSChannelConfigurationRequestPhantom2XMono_1(0x01) 
#define writeSYSChannelConfigurationRequestPhantom2LhRhMono_1 writeSYSChannelConfigurationRequestPhantom2XMono_1(0x04)
#define writeSYSChannelConfigurationRequestPhantom2LwRwLhRhMono_1 writeSYSChannelConfigurationRequestPhantom2XMono_1(0x05) 
#define writeSYSChannelConfigurationRequestPhantom3X_1(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x0106,(n<<8)
#define writeSYSChannelConfigurationRequestPhantom3LwRw_1 writeSYSChannelConfigurationRequestPhantom3X_1(0x01)
#define writeSYSChannelConfigurationRequestPhantom3LhRh_1 writeSYSChannelConfigurationRequestPhantom3X_1(0x04)
#define writeSYSChannelConfigurationRequestPhantom3LwRwLhRh_1 writeSYSChannelConfigurationRequestPhantom3X_1(0x05)
#define writeSYSChannelConfigurationRequestPhantom4X_1(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x0107,(n<<8)
#define writeSYSChannelConfigurationRequestPhantom4LwRw_1 writeSYSChannelConfigurationRequestPhantom4X_1(0x01)
#define writeSYSChannelConfigurationRequestPhantom4LhRh_1 writeSYSChannelConfigurationRequestPhantom4X_1(0x04)
#define writeSYSChannelConfigurationRequestPhantom4LwRwLhRh_1 writeSYSChannelConfigurationRequestPhantom4X_1(0x05)
#define writeSYSChannelConfigurationRequestSurround0X_1(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x0108,(n<<8)
#define writeSYSChannelConfigurationRequestSurround0LwRw_1 writeSYSChannelConfigurationRequestSurround0X_1(0x01)
#define writeSYSChannelConfigurationRequestSurround0LhRh_1 writeSYSChannelConfigurationRequestSurround0X_1(0x04)
#define writeSYSChannelConfigurationRequestSurround0LwRwLhRh_1 writeSYSChannelConfigurationRequestSurround0X_1(0x05)
#define writeSYSChannelConfigurationRequestSurround1X_1(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x0109,(n<<8)
#define writeSYSChannelConfigurationRequestSurround1LwRw_1 writeSYSChannelConfigurationRequestSurround1X_1(0x01)
#define writeSYSChannelConfigurationRequestSurround1LhRh_1 writeSYSChannelConfigurationRequestSurround1X_1(0x04)
#define writeSYSChannelConfigurationRequestSurround1LwRwLhRh_1 writeSYSChannelConfigurationRequestSurround1X_1(0x05)
#define writeSYSChannelConfigurationRequestSurround2X_1(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x010a,(n<<8)
#define writeSYSChannelConfigurationRequestSurround2LwRw_1 writeSYSChannelConfigurationRequestSurround2X_1(0x01)
#define writeSYSChannelConfigurationRequestSurround2LhRh_1 writeSYSChannelConfigurationRequestSurround2X_1(0x04)
#define writeSYSChannelConfigurationRequestSurround2LwRwLhRh_1 writeSYSChannelConfigurationRequestSurround2X_1(0x05)
#define writeSYSChannelConfigurationRequestSurround2XStereo_1(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x010a,((n<<8)|0x0001)
#define writeSYSChannelConfigurationRequestSurround2LwRwStereo_1 writeSYSChannelConfigurationRequestSurround2XStereo_1(0x01)
#define writeSYSChannelConfigurationRequestSurround2LhRhStereo_1 writeSYSChannelConfigurationRequestSurround2XStereo_1(0x04)
#define writeSYSChannelConfigurationRequestSurround2LwRwLhRhStereo_1 writeSYSChannelConfigurationRequestSurround2XStereo_1(0x05)
#define writeSYSChannelConfigurationRequestSurround2XLtRt_1(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x010a,((n<<8)|0x0002)
#define writeSYSChannelConfigurationRequestSurround2LwRwLtRt_1 writeSYSChannelConfigurationRequestSurround2XLtRt_1(0x01) 
#define writeSYSChannelConfigurationRequestSurround2LhRhLtRt_1 writeSYSChannelConfigurationRequestSurround2XLtRt_1(0x04) 
#define writeSYSChannelConfigurationRequestSurround2LwRwLhRhLtRt_1 writeSYSChannelConfigurationRequestSurround2XLtRt_1(0x05) 
#define writeSYSChannelConfigurationRequestSurround2XMono_1(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x010a,((n<<8)|0x0003)
#define writeSYSChannelConfigurationRequestSurround2LwRwMono_1 writeSYSChannelConfigurationRequestSurround2XMono_1(0x01) 
#define writeSYSChannelConfigurationRequestSurround2LhRhMono_1 writeSYSChannelConfigurationRequestSurround2XMono_1(0x04)
#define writeSYSChannelConfigurationRequestSurround2LwRwLhRhMono_1 writeSYSChannelConfigurationRequestSurround2XMono_1(0x05) 
#define writeSYSChannelConfigurationRequestSurround3X_1(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x010b,(n<<8)
#define writeSYSChannelConfigurationRequestSurround3LwRw_1 writeSYSChannelConfigurationRequestSurround3X_1(0x01)
#define writeSYSChannelConfigurationRequestSurround3LhRh_1 writeSYSChannelConfigurationRequestSurround3X_1(0x04)
#define writeSYSChannelConfigurationRequestSurround3LwRwLhRh_1 writeSYSChannelConfigurationRequestSurround3X_1(0x05)
#define writeSYSChannelConfigurationRequestSurround4X_1(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x010c,(n<<8)
#define writeSYSChannelConfigurationRequestSurround4LwRw_1 writeSYSChannelConfigurationRequestSurround4X_1(0x01)
#define writeSYSChannelConfigurationRequestSurround4LhRh_1 writeSYSChannelConfigurationRequestSurround4X_1(0x04)
#define writeSYSChannelConfigurationRequestSurround4LwRwLhRh_1 writeSYSChannelConfigurationRequestSurround4X_1(0x05)
// _2
#define writeSYSChannelConfigurationRequestNoneX_2(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x0201,(n<<8)
#define writeSYSChannelConfigurationRequestNoneLwRw_2 writeSYSChannelConfigurationRequestNoneX_2(0x01)
#define writeSYSChannelConfigurationRequestNoneLhRh_2 writeSYSChannelConfigurationRequestNoneX_2(0x04)
#define writeSYSChannelConfigurationRequestNoneLwRwLhRh_2 writeSYSChannelConfigurationRequestNoneX_2(0x05)
#define writeSYSChannelConfigurationRequestMonoX_2(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x0202,(n<<8)
#define writeSYSChannelConfigurationRequestMonoLwRw_2 writeSYSChannelConfigurationRequestMonoX_2(0x01)
#define writeSYSChannelConfigurationRequestMonoLhRh_2 writeSYSChannelConfigurationRequestMonoX_2(0x04)
#define writeSYSChannelConfigurationRequestMonoLwRwLhRh_2 writeSYSChannelConfigurationRequestMonoX_2(0x05)
#define writeSYSChannelConfigurationRequestPhantom0X_2(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x0203,(n<<8)
#define writeSYSChannelConfigurationRequestPhantom0LwRw_2 writeSYSChannelConfigurationRequestPhantom0X_2(0x01)
#define writeSYSChannelConfigurationRequestPhantom0LhRh_2 writeSYSChannelConfigurationRequestPhantom0X_2(0x04)
#define writeSYSChannelConfigurationRequestPhantom0LwRwLhRh_2 writeSYSChannelConfigurationRequestPhantom0X_2(0x05)
#define writeSYSChannelConfigurationRequestPhantom0XStereo_2(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x0203,((n<<8)|0x0001)
#define writeSYSChannelConfigurationRequestPhantom0LwRwStereo_2 writeSYSChannelConfigurationRequestPhantom0XStereo_2(0x01)
#define writeSYSChannelConfigurationRequestPhantom0LhRhStereo_2 writeSYSChannelConfigurationRequestPhantom0XStereo_2(0x04) 
#define writeSYSChannelConfigurationRequestPhantom0LwRwLhRhStereo_2 writeSYSChannelConfigurationRequestPhantom0XStereo_2(0x05) 
#define writeSYSChannelConfigurationRequestPhantom0XLtRt_2(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x0203,((n<<8)|0x0002)
#define writeSYSChannelConfigurationRequestPhantom0LwRwLtRt_2 writeSYSChannelConfigurationRequestPhantom0XLtRt_2(0x01)
#define writeSYSChannelConfigurationRequestPhantom0LhRhLtRt_2 writeSYSChannelConfigurationRequestPhantom0XLtRt_2(0x04)
#define writeSYSChannelConfigurationRequestPhantom0LwRwLhRhLtRt_2 writeSYSChannelConfigurationRequestPhantom0XLtRt_2(0x05)
#define writeSYSChannelConfigurationRequestPhantom0XMono_2(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x0203,((n<<8)|0x0003)
#define writeSYSChannelConfigurationRequestPhantom0LwRwMono_2 writeSYSChannelConfigurationRequestPhantom0XMono_2(0x01)
#define writeSYSChannelConfigurationRequestPhantom0LhRhMono_2 writeSYSChannelConfigurationRequestPhantom0XMono_2(0x04)
#define writeSYSChannelConfigurationRequestPhantom0LwRwLhRhMono_2 writeSYSChannelConfigurationRequestPhantom0XMono_2(0x05)
#define writeSYSChannelConfigurationRequestPhantom0XDual_2(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x0203,((n<<8)|0x0004)
#define writeSYSChannelConfigurationRequestPhantom0LwRwDual_2 writeSYSChannelConfigurationRequestPhantom0XDual_2(0x01)
#define writeSYSChannelConfigurationRequestPhantom0LhRhDual_2 writeSYSChannelConfigurationRequestPhantom0XDual_2(0x04)
#define writeSYSChannelConfigurationRequestPhantom0LwRwLhRhDual_2 writeSYSChannelConfigurationRequestPhantom0XDual_2(0x05)
#define writeSYSChannelConfigurationRequestPhantom1X_2(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x0204,(n<<8)
#define writeSYSChannelConfigurationRequestPhantom1LwRw_2 writeSYSChannelConfigurationRequestPhantom1X_2(0x01)
#define writeSYSChannelConfigurationRequestPhantom1LhRh_2 writeSYSChannelConfigurationRequestPhantom1X_2(0x04)
#define writeSYSChannelConfigurationRequestPhantom1LwRwLhRh_2 writeSYSChannelConfigurationRequestPhantom1X_2(0x05)
#define writeSYSChannelConfigurationRequestPhantom2X_2(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x0205,(n<<8)
#define writeSYSChannelConfigurationRequestPhantom2LwRw_2 writeSYSChannelConfigurationRequestPhantom2X_2(0x01)
#define writeSYSChannelConfigurationRequestPhantom2LhRh_2 writeSYSChannelConfigurationRequestPhantom2X_2(0x04)
#define writeSYSChannelConfigurationRequestPhantom2LwRwLhRh_2 writeSYSChannelConfigurationRequestPhantom2X_2(0x05)
#define writeSYSChannelConfigurationRequestPhantom2XStereo_2(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x0205,((n<<8)|0x0001)
#define writeSYSChannelConfigurationRequestPhantom2LwRwStereo_2 writeSYSChannelConfigurationRequestPhantom2XStereo_2(0x01) 
#define writeSYSChannelConfigurationRequestPhantom2LhRhStereo_2 writeSYSChannelConfigurationRequestPhantom2XStereo_2(0x04) 
#define writeSYSChannelConfigurationRequestPhantom2LwRwLhRhStereo_2 writeSYSChannelConfigurationRequestPhantom2XStereo_2(0x05) 
#define writeSYSChannelConfigurationRequestPhantom2XLtRt_2(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x0205,((n<<8)|0x0002)
#define writeSYSChannelConfigurationRequestPhantom2LwRwLtRt_2 writeSYSChannelConfigurationRequestPhantom2XLtRt_2(0x01) 
#define writeSYSChannelConfigurationRequestPhantom2LhRhLtRt_2 writeSYSChannelConfigurationRequestPhantom2XLtRt_2(0x04) 
#define writeSYSChannelConfigurationRequestPhantom2LwRwLhRhLtRt_2 writeSYSChannelConfigurationRequestPhantom2XLtRt_2(0x05) 
#define writeSYSChannelConfigurationRequestPhantom2XMono_2(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x0205,((n<<8)|0x0003)
#define writeSYSChannelConfigurationRequestPhantom2LwRwMono_2 writeSYSChannelConfigurationRequestPhantom2XMono_2(0x01) 
#define writeSYSChannelConfigurationRequestPhantom2LhRhMono_2 writeSYSChannelConfigurationRequestPhantom2XMono_2(0x04)
#define writeSYSChannelConfigurationRequestPhantom2LwRwLhRhMono_2 writeSYSChannelConfigurationRequestPhantom2XMono_2(0x05) 
#define writeSYSChannelConfigurationRequestPhantom3X_2(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x0206,(n<<8)
#define writeSYSChannelConfigurationRequestPhantom3LwRw_2 writeSYSChannelConfigurationRequestPhantom3X_2(0x01)
#define writeSYSChannelConfigurationRequestPhantom3LhRh_2 writeSYSChannelConfigurationRequestPhantom3X_2(0x04)
#define writeSYSChannelConfigurationRequestPhantom3LwRwLhRh_2 writeSYSChannelConfigurationRequestPhantom3X_2(0x05)
#define writeSYSChannelConfigurationRequestPhantom4X_2(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x0207,(n<<8)
#define writeSYSChannelConfigurationRequestPhantom4LwRw_2 writeSYSChannelConfigurationRequestPhantom4X_2(0x01)
#define writeSYSChannelConfigurationRequestPhantom4LhRh_2 writeSYSChannelConfigurationRequestPhantom4X_2(0x04)
#define writeSYSChannelConfigurationRequestPhantom4LwRwLhRh_2 writeSYSChannelConfigurationRequestPhantom4X_2(0x05)
#define writeSYSChannelConfigurationRequestSurround0X_2(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x0208,(n<<8)
#define writeSYSChannelConfigurationRequestSurround0LwRw_2 writeSYSChannelConfigurationRequestSurround0X_2(0x01)
#define writeSYSChannelConfigurationRequestSurround0LhRh_2 writeSYSChannelConfigurationRequestSurround0X_2(0x04)
#define writeSYSChannelConfigurationRequestSurround0LwRwLhRh_2 writeSYSChannelConfigurationRequestSurround0X_2(0x05)
#define writeSYSChannelConfigurationRequestSurround1X_2(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x0209,(n<<8)
#define writeSYSChannelConfigurationRequestSurround1LwRw_2 writeSYSChannelConfigurationRequestSurround1X_2(0x01)
#define writeSYSChannelConfigurationRequestSurround1LhRh_2 writeSYSChannelConfigurationRequestSurround1X_2(0x04)
#define writeSYSChannelConfigurationRequestSurround1LwRwLhRh_2 writeSYSChannelConfigurationRequestSurround1X_2(0x05)
#define writeSYSChannelConfigurationRequestSurround2X_2(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x020a,(n<<8)
#define writeSYSChannelConfigurationRequestSurround2LwRw_2 writeSYSChannelConfigurationRequestSurround2X_2(0x01)
#define writeSYSChannelConfigurationRequestSurround2LhRh_2 writeSYSChannelConfigurationRequestSurround2X_2(0x04)
#define writeSYSChannelConfigurationRequestSurround2LwRwLhRh_2 writeSYSChannelConfigurationRequestSurround2X_2(0x05)
#define writeSYSChannelConfigurationRequestSurround2XStereo_2(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x020a,((n<<8)|0x0001)
#define writeSYSChannelConfigurationRequestSurround2LwRwStereo_2 writeSYSChannelConfigurationRequestSurround2XStereo_2(0x01)
#define writeSYSChannelConfigurationRequestSurround2LhRhStereo_2 writeSYSChannelConfigurationRequestSurround2XStereo_2(0x04)
#define writeSYSChannelConfigurationRequestSurround2LwRwLhRhStereo_2 writeSYSChannelConfigurationRequestSurround2XStereo_2(0x05)
#define writeSYSChannelConfigurationRequestSurround2XLtRt_2(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x020a,((n<<8)|0x0002)
#define writeSYSChannelConfigurationRequestSurround2LwRwLtRt_2 writeSYSChannelConfigurationRequestSurround2XLtRt_2(0x01) 
#define writeSYSChannelConfigurationRequestSurround2LhRhLtRt_2 writeSYSChannelConfigurationRequestSurround2XLtRt_2(0x04) 
#define writeSYSChannelConfigurationRequestSurround2LwRwLhRhLtRt_2 writeSYSChannelConfigurationRequestSurround2XLtRt_2(0x05) 
#define writeSYSChannelConfigurationRequestSurround2XMono_2(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x020a,((n<<8)|0x0003)
#define writeSYSChannelConfigurationRequestSurround2LwRwMono_2 writeSYSChannelConfigurationRequestSurround2XMono_2(0x01) 
#define writeSYSChannelConfigurationRequestSurround2LhRhMono_2 writeSYSChannelConfigurationRequestSurround2XMono_2(0x04)
#define writeSYSChannelConfigurationRequestSurround2LwRwLhRhMono_2 writeSYSChannelConfigurationRequestSurround2XMono_2(0x05) 
#define writeSYSChannelConfigurationRequestSurround3X_2(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x020b,(n<<8)
#define writeSYSChannelConfigurationRequestSurround3LwRw_2 writeSYSChannelConfigurationRequestSurround3X_2(0x01)
#define writeSYSChannelConfigurationRequestSurround3LhRh_2 writeSYSChannelConfigurationRequestSurround3X_2(0x04)
#define writeSYSChannelConfigurationRequestSurround3LwRwLhRh_2 writeSYSChannelConfigurationRequestSurround3X_2(0x05)
#define writeSYSChannelConfigurationRequestSurround4X_2(n) 0xcc00+STD_BETA_SYSIDL,0x0020,0x020c,(n<<8)
#define writeSYSChannelConfigurationRequestSurround4LwRw_2 writeSYSChannelConfigurationRequestSurround4X_2(0x01)
#define writeSYSChannelConfigurationRequestSurround4LhRh_2 writeSYSChannelConfigurationRequestSurround4X_2(0x04)
#define writeSYSChannelConfigurationRequestSurround4LwRwLhRh_2 writeSYSChannelConfigurationRequestSurround4X_2(0x05)

#define writeSYSChannelConfigurationRequestHL(HH,LL) 0xcc00+STD_BETA_SYSIDL,0x0020,LL,HH

#define  readSYSChannelConfigurationRequestExtChan         0xc200+STD_BETA_SYSIDL,0x1300
#define  readSYSChannelConfigurationRequestExtMask         readSYSChannelConfigurationRequestExtChan
#define writeSYSChannelConfigurationRequestExtChanNone     0xca00+STD_BETA_SYSIDL,0x1300
#define writeSYSChannelConfigurationRequestExtChanLhRh     0xca00+STD_BETA_SYSIDL,0x1304 // PAF_CC_EXTMASK_LhRh
#define writeSYSChannelConfigurationRequestExtChanLwRw     0xca00+STD_BETA_SYSIDL,0x1301 // PAF_CC_EXTMASK_LwRw
#define writeSYSChannelConfigurationRequestExtChanLhRhLwRw 0xca00+STD_BETA_SYSIDL,0x1305 // PAF_CC_EXTMASK_LhRh|PAF_CC_EXTMASK_LwRw
#define writeSYSChannelConfigurationRequestExtChanLwRwLhRh writeSYSChannelConfigurationRequestExtChanLhRhLwRw

#define writeSYSChannelConfigurationRequestAuxUnknown 0xca00+STD_BETA_SYSIDL,0x1200
#define writeSYSChannelConfigurationRequestAuxStereo 0xca00+STD_BETA_SYSIDL,0x1201
#define writeSYSChannelConfigurationRequestAuxLtRt 0xca00+STD_BETA_SYSIDL,0x1202
#define writeSYSChannelConfigurationRequestAuxMono 0xca00+STD_BETA_SYSIDL,0x1203
#define writeSYSChannelConfigurationRequestAuxDual 0xca00+STD_BETA_SYSIDL,0x1204

//ATMOS
#define writeSYSChannelConfigurationRequestSurround2ATMOS_0(n) 0xce00+STD_BETA_SYSIDL,0x2008,0x000a,0x0000,(n<<8),0x0000
#define writeSYSChannelConfigurationRequestSurround2ATMOS_1(n) 0xce00+STD_BETA_SYSIDL,0x2008,0x010a,0x0000,(n<<8),0x0000
#define writeSYSChannelConfigurationRequestSurround2ATMOS_2(n) 0xce00+STD_BETA_SYSIDL,0x2008,0x020a,0x0000,(n<<8),0x0000
#define wroteSYSChannelConfigurationRequestSurround2ATMOSMono_0(n) 0xce00+STD_BETA_SYSIDL,0x2008,0x000a,0x0003,(n<<8),0x0000
#define wroteSYSChannelConfigurationRequestSurround2ATMOSMono_1(n) 0xce00+STD_BETA_SYSIDL,0x2008,0x010a,0x0003,(n<<8),0x0000
#define wroteSYSChannelConfigurationRequestSurround2ATMOSMono_2(n) 0xce00+STD_BETA_SYSIDL,0x2008,0x020a,0x0003,(n<<8),0x0000

#define writeSYSChannelConfigurationRequestSurround2LwRwATMOS_0(n) 0xce00+STD_BETA_SYSIDL,0x2008,0x000a,0x0100,(n<<8),0x0000
#define writeSYSChannelConfigurationRequestSurround2LwRwATMOS_1(n) 0xce00+STD_BETA_SYSIDL,0x2008,0x010a,0x0100,(n<<8),0x0000
#define writeSYSChannelConfigurationRequestSurround2LwRwATMOS_2(n) 0xce00+STD_BETA_SYSIDL,0x2008,0x020a,0x0100,(n<<8),0x0000
#define wroteSYSChannelConfigurationRequestSurround2LwRwATMOSMono_0(n) 0xce00+STD_BETA_SYSIDL,0x2008,0x000a,0x0103,(n<<8),0x0000
#define wroteSYSChannelConfigurationRequestSurround2LwRwATMOSMono_1(n) 0xce00+STD_BETA_SYSIDL,0x2008,0x010a,0x0103,(n<<8),0x0000
#define wroteSYSChannelConfigurationRequestSurround2LwRwATMOSMono_2(n) 0xce00+STD_BETA_SYSIDL,0x2008,0x020a,0x0103,(n<<8),0x0000

#define writeSYSChannelConfigurationRequestSurround4ATMOS_0(n) 0xce00+STD_BETA_SYSIDL,0x2008,0x000c,0x0000,(n<<8),0x0000
#define writeSYSChannelConfigurationRequestSurround4ATMOS_1(n) 0xce00+STD_BETA_SYSIDL,0x2008,0x010c,0x0000,(n<<8),0x0000
#define writeSYSChannelConfigurationRequestSurround4ATMOS_2(n) 0xce00+STD_BETA_SYSIDL,0x2008,0x020c,0x0000,(n<<8),0x0000
#define wroteSYSChannelConfigurationRequestSurround4ATMOS_0(n) 0xce00+STD_BETA_SYSIDL,0x2008,0x000c,0x0000,(n<<8),0x0000
#define wroteSYSChannelConfigurationRequestSurround4ATMOS_1(n) 0xce00+STD_BETA_SYSIDL,0x2008,0x010c,0x0000,(n<<8),0x0000
#define wroteSYSChannelConfigurationRequestSurround4ATMOS_2(n) 0xce00+STD_BETA_SYSIDL,0x2008,0x020c,0x0000,(n<<8),0x0000

#define writeSYSChannelConfigurationRequestSurround4LwRwATMOS_0(n) 0xce00+STD_BETA_SYSIDL,0x2008,0x000c,0x0100,(n<<8),0x0000
#define writeSYSChannelConfigurationRequestSurround4LwRwATMOS_1(n) 0xce00+STD_BETA_SYSIDL,0x2008,0x010c,0x0100,(n<<8),0x0000
#define writeSYSChannelConfigurationRequestSurround4LwRwATMOS_2(n) 0xce00+STD_BETA_SYSIDL,0x2008,0x020c,0x0100,(n<<8),0x0000
#define wroteSYSChannelConfigurationRequestSurround4LwRwATMOS_0(n) 0xce00+STD_BETA_SYSIDL,0x2008,0x000c,0x0100,(n<<8),0x0000
#define wroteSYSChannelConfigurationRequestSurround4LwRwATMOS_1(n) 0xce00+STD_BETA_SYSIDL,0x2008,0x010c,0x0100,(n<<8),0x0000
#define wroteSYSChannelConfigurationRequestSurround4LwRwATMOS_2(n) 0xce00+STD_BETA_SYSIDL,0x2008,0x020c,0x0100,(n<<8),0x0000

#define writeSYSChannelConfigurationRequestSurround2LtfRtfLtrRtr_0 writeSYSChannelConfigurationRequestSurround2ATMOS_0(0xA)
#define writeSYSChannelConfigurationRequestSurround2LtfRtfLtrRtr_1 writeSYSChannelConfigurationRequestSurround2ATMOS_1(0xA)
#define writeSYSChannelConfigurationRequestSurround2LtfRtfLtrRtr_2 writeSYSChannelConfigurationRequestSurround2ATMOS_2(0xA)
#define wroteSYSChannelConfigurationRequestSurround2LtfRtfLtrRtr_0 wroteSYSChannelConfigurationRequestSurround2ATMOSMono_0(0xA)
#define wroteSYSChannelConfigurationRequestSurround2LtfRtfLtrRtr_1 wroteSYSChannelConfigurationRequestSurround2ATMOSMono_1(0xA)
#define wroteSYSChannelConfigurationRequestSurround2LtfRtfLtrRtr_2 wroteSYSChannelConfigurationRequestSurround2ATMOSMono_2(0xA)

#define writeSYSChannelConfigurationRequestSurround4LtmRtm_0 writeSYSChannelConfigurationRequestSurround4ATMOS_0(0x4)
#define writeSYSChannelConfigurationRequestSurround4LtmRtm_1 writeSYSChannelConfigurationRequestSurround4ATMOS_1(0x4)
#define writeSYSChannelConfigurationRequestSurround4LtmRtm_2 writeSYSChannelConfigurationRequestSurround4ATMOS_2(0x4)
#define wroteSYSChannelConfigurationRequestSurround4LtmRtm_0 wroteSYSChannelConfigurationRequestSurround4ATMOS_0(0x4)
#define wroteSYSChannelConfigurationRequestSurround4LtmRtm_1 wroteSYSChannelConfigurationRequestSurround4ATMOS_1(0x4)
#define wroteSYSChannelConfigurationRequestSurround4LtmRtm_2 wroteSYSChannelConfigurationRequestSurround4ATMOS_2(0x4)

#define writeSYSChannelConfigurationRequestSurround2LwRwLtfRtfLtrRtr_0 writeSYSChannelConfigurationRequestSurround2LwRwATMOS_0(0xA)
#define writeSYSChannelConfigurationRequestSurround2LwRwLtfRtfLtrRtr_1 writeSYSChannelConfigurationRequestSurround2LwRwATMOS_1(0xA)
#define writeSYSChannelConfigurationRequestSurround2LwRwLtfRtfLtrRtr_2 writeSYSChannelConfigurationRequestSurround2LwRwATMOS_2(0xA)
#define wroteSYSChannelConfigurationRequestSurround2LwRwLtfRtfLtrRtr_0 wroteSYSChannelConfigurationRequestSurround2LwRwATMOSMono_0(0xA)
#define wroteSYSChannelConfigurationRequestSurround2LwRwLtfRtfLtrRtr_1 wroteSYSChannelConfigurationRequestSurround2LwRwATMOSMono_1(0xA)
#define wroteSYSChannelConfigurationRequestSurround2LwRwLtfRtfLtrRtr_2 wroteSYSChannelConfigurationRequestSurround2LwRwATMOSMono_2(0xA)

#define writeSYSChannelConfigurationRequestSurround4LtfRtfLtrRtr_0 writeSYSChannelConfigurationRequestSurround4ATMOS_0(0xA)
#define writeSYSChannelConfigurationRequestSurround4LtfRtfLtrRtr_1 writeSYSChannelConfigurationRequestSurround4ATMOS_1(0xA)
#define writeSYSChannelConfigurationRequestSurround4LtfRtfLtrRtr_2 writeSYSChannelConfigurationRequestSurround4ATMOS_2(0xA)
#define wroteSYSChannelConfigurationRequestSurround4LtfRtfLtrRtr_0 wroteSYSChannelConfigurationRequestSurround4ATMOS_0(0xA)
#define wroteSYSChannelConfigurationRequestSurround4LtfRtfLtrRtr_1 wroteSYSChannelConfigurationRequestSurround4ATMOS_1(0xA)
#define wroteSYSChannelConfigurationRequestSurround4LtfRtfLtrRtr_2 wroteSYSChannelConfigurationRequestSurround4ATMOS_2(0xA)

#define writeSYSChannelConfigurationRequestSurround4LwRwLtfRtfLtrRtr_0 writeSYSChannelConfigurationRequestSurround4LwRwATMOS_0(0xA)
#define writeSYSChannelConfigurationRequestSurround4LwRwLtfRtfLtrRtr_1 writeSYSChannelConfigurationRequestSurround4LwRwATMOS_1(0xA)
#define writeSYSChannelConfigurationRequestSurround4LwRwLtfRtfLtrRtr_2 writeSYSChannelConfigurationRequestSurround4LwRwATMOS_2(0xA)
#define wroteSYSChannelConfigurationRequestSurround4LwRwLtfRtfLtrRtr_0 wroteSYSChannelConfigurationRequestSurround4LwRwATMOS_0(0xA)
#define wroteSYSChannelConfigurationRequestSurround4LwRwLtfRtfLtrRtr_1 wroteSYSChannelConfigurationRequestSurround4LwRwATMOS_1(0xA)
#define wroteSYSChannelConfigurationRequestSurround4LwRwLtfRtfLtrRtr_2 wroteSYSChannelConfigurationRequestSurround4LwRwATMOS_2(0xA)

#define readSYSChannelConfigurationRequestATMOSChan         0xc300+STD_BETA_SYSIDL,0x0024
#define readSYSChannelConfigurationRequestATMOSMask         readSYSChannelConfigurationRequestATMOSChan
#define writeSYSChannelConfigurationRequestATMOSChanNone     0xcb00+STD_BETA_SYSIDL,0x0024,0x0000
#define writeSYSChannelConfigurationRequestATMOSChanLfhRfhLrhRrh     0xcb00+STD_BETA_SYSIDL,0x0024,0x1100//PAF_CC_EXTMASK_LfhRfh|PAF_CC_EXTMASK_LrhRrh
#define writeSYSChannelConfigurationRequestATMOSChanLtfRtfLtrRtr     0xcb00+STD_BETA_SYSIDL,0x0024,0x0A00//PAF_CC_EXTMASK_LtfRtf|PAF_CC_EXTMASK_LtrRtr
#define writeSYSChannelConfigurationRequestATMOSChanLtmRtm 0xcb00+STD_BETA_SYSIDL,0x0024,0x0400//PAF_CC_EXTMASK_LtmRtm

//-------------------------------------------------------------------------------------------------------------

#define  readSYSCpuLoad             0xc200+STD_BETA_SYSIDL,0x1500
#define  readSYSCpuLoadQ8           0xc300+STD_BETA_SYSIDL,0x0014
#define  readSYSPeakCpuLoad         0xc200+STD_BETA_SYSIDL,0x1700
#define  readSYSPeakCpuLoadQ8       0xc300+STD_BETA_SYSIDL,0x0016
#define writeSYSPeakCpuLoadClear    0xcb00+STD_BETA_SYSIDL,0x0016,0x0000

#define  readSYSStatus 0xc508,STD_BETA_SYSIDL
#define  readSYSControl \
         readSYSMode, \
         readSYSRecreationMode, \
         readSYSSpeakerMain, \
         readSYSSpeakerCntr, \
         readSYSSpeakerSurr, \
         readSYSSpeakerBack, \
         readSYSSpeakerSubw, \
         readSYSChannelConfigurationRequestType, \
         readSYSChannelConfigurationRequest, \
         readSYSImageSwitch, \
         readSYSImageNum

#endif /* _PAFSYS_A */
